Subject: Re: [core] #213: Path/Query options minimum length

From: "core issue tracker" <[email-masked]>
Date: Mon, 11 Jun 2012 13:46:43 -0000

#213: Path/Query options minimum length

#choose ticket.new
  #when True
 Section 5.10. (Option Definitions) defines the Uri-Path, Uri-Query,
 Location-Path and Location-Query options to have a minimum length of 1
 byte. This is a remnant of the time when each option could be included
 only at most once instead of for each path segment/query argument
 individually. Segments and arguments can have a length of zero characters.

 (RFC 3986 is quite clear that

       segment       = *pchar

 i.e., a segment can have zero or more pchars.
 For example, a zero-length path segment is needed to differentiate

 coap://example.com/a/
 from
 coap://example.com/a
 )
  #end
  #otherwise
    #if changes_body
Changes (by zach@…):

 * status:  new => closed
 * resolution:   => fixed

    #end
    #if changes_descr
      #if not changes_body and not change.comment and change.author
Description changed by zach@…:
      #end

--
    #end
    #if change.comment

Comment:

 Fixed in r688.
    #end
  #end
#end

-- 
-----------------------------+-------------------------------------
 Reporter:  cabo@…           |       Owner:  draft-ietf-core-coap@…
     Type:  protocol defect  |      Status:  closed
 Priority:  minor            |   Milestone:  post-WGLC-1
Component:  coap             |     Version:  coap-09
 Severity:  In WG Last Call  |  Resolution:  fixed
 Keywords:                   |
-----------------------------+-------------------------------------

Ticket URL: <http://trac.tools.ietf.org/wg/core/trac/ticket/213#comment:1>
core <http://tools.ietf.org/core/>